Bug 8716 - Reordering of routing list entries doesn't work
Summary: Reordering of routing list entries doesn't work
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: 3.8
Hardware: All All
: P4 normal (vote)
Assignee: Robin Sheat
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-03 14:26 UTC by Robin Sheat
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8716 - make the routing list reordering function work (1.20 KB, patch)
2012-09-04 14:54 UTC, Robin Sheat
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8716 - make the routing list reordering function work (1.31 KB, patch)
2012-09-10 14:58 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2012-09-03 14:26:30 UTC
When you attempt to reorder borrowers in a routing list, a javascript error is raised: 'this.option is undefined'. This stops the reordering from working.
Comment 1 Robin Sheat 2012-09-04 14:54:30 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2012-09-06 09:54:07 UTC
Client notes that this fixes the issue for them.
Comment 3 Owen Leonard 2012-09-10 14:58:40 UTC
Created attachment 12108 [details] [review]
[SIGNED-OFF] Bug 8716 - make the routing list reordering function work

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Jonathan Druart 2012-09-12 14:32:01 UTC
QA comments:
works as expected, simple fix.
Marked as Passed QA.
Comment 5 Paul Poulain 2012-09-13 16:26:19 UTC
patch pushed to master
Comment 6 Chris Cormack 2012-09-13 23:01:45 UTC
Pushed to 3.8.x, will be in 3.8.5